Bug 1265326 - Review Request: nodejs-error-ex - Easy error subclassing and stack customization
Review Request: nodejs-error-ex - Easy error subclassing and stack customization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: nodejs-reviews 1265329
  Show dependency treegraph
 
Reported: 2015-09-22 12:38 EDT by Parag Nemade
Modified: 2015-10-05 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:14:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-09-22 12:38:41 EDT
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-node-error-ex.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-node-error-ex-1.2.0-1.fc23.src.rpm

Description:
Easy error subclassing and stack customization.
Comment 1 Parag Nemade 2015-09-22 12:38:45 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=11181150
Comment 2 Tom Hughes 2015-09-24 13:48:43 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1 files have unknown license. Detailed
     output of licensecheck in /home/tom/1265326-nodejs-node-error-
     ex/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-node-error-ex-1.2.0-1.fc24.noarch.rpm
          nodejs-node-error-ex-1.2.0-1.fc24.src.rpm
nodejs-node-error-ex.noarch: W: spelling-error Summary(en_US) subclassing -> sub classing, sub-classing, subclass
nodejs-node-error-ex.noarch: W: spelling-error %description -l en_US subclassing -> sub classing, sub-classing, subclass
nodejs-node-error-ex.noarch: W: incoherent-version-in-changelog 1.1.1-1 ['1.2.0-1.fc24', '1.2.0-1']
nodejs-node-error-ex.noarch: W: only-non-binary-in-usr-lib
nodejs-node-error-ex.src: W: spelling-error Summary(en_US) subclassing -> sub classing, sub-classing, subclass
nodejs-node-error-ex.src: W: spelling-error %description -l en_US subclassing -> sub classing, sub-classing, subclass
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-node-error-ex (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-node-error-ex:
    nodejs-node-error-ex
    npm(error-ex)



Source checksums
----------------
https://github.com/Qix-/node-error-ex/archive/1.2.0.tar.gz#/error-ex-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 5412ff50850c6108f94fac5439d22751632b9450a557c9e4fa1bdd26aa5bfbad
  CHECKSUM(SHA256) upstream package : 5412ff50850c6108f94fac5439d22751632b9450a557c9e4fa1bdd26aa5bfbad


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1265326
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Tom Hughes 2015-09-24 13:49:14 EDT
Package name should be nodejs-error-ex not nodejs-node-error-ex.
Comment 4 Tom Hughes 2015-09-24 13:49:55 EDT
Also comment about coffee-script is wrong - it is packaged but it is too old to have the register.js file that mocha needs. It needs to be updated before the tests can work.
Comment 5 Parag Nemade 2015-09-25 01:07:16 EDT
Thank you Tom for your review. Here is update that changed package name and that comment.

Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-error-ex.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-error-ex-1.2.0-1.fc23.src.rpm
Comment 6 Tom Hughes 2015-09-25 13:43:48 EDT
That looks good now. Package approved.
Comment 7 Parag Nemade 2015-09-25 22:46:45 EDT
New Package SCM Request
=======================
Package Name: nodejs-error-ex
Short Description: Easy error subclassing and stack customization
Upstream URL: https://github.com/Qix-/node-error-ex
Owners: pnemade
Branches: f23
InitialCC:
Comment 8 Gwyn Ciesla 2015-09-26 10:57:31 EDT
WARNING: Requested package name nodejs-error-ex doesn't match bug summary nodejs-node-error-ex
Comment 9 Gwyn Ciesla 2015-09-26 13:30:04 EDT
Git done (by process-git-requests).
Comment 10 Parag Nemade 2015-09-27 02:43:43 EDT
built in rawhide.
Comment 11 Fedora Update System 2015-09-27 03:00:51 EDT
nodejs-error-ex-1.2.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-71af820a38
Comment 12 Fedora Update System 2015-09-29 02:22:36 EDT
nodejs-error-ex-1.2.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-error-ex'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-71af820a38
Comment 13 Fedora Update System 2015-10-05 14:14:40 EDT
nodejs-error-ex-1.2.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.